Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class RemoveEntity

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange
            |
            +--org.semanticweb.owl.model.change.RemoveEntity

public class RemoveEntity
extends OntologyChange

Remove the entity from the ontology.

Version:
  $Id: RemoveEntity.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary

Fields inherited from class org.semanticweb.owl.model.change.OntologyChange
`cause, ontology`

Constructor Summary
`RemoveEntity(OWLOntology ontology, OWLEntity entity, OntologyChange cause)`

Method Summary
`void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OWLEntity` | `getEntity()` The entity that should be removed.

Methods inherited from class org.semanticweb.owl.model.change.OntologyChange
`getCause, getOntology, setCause, setOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveEntity

    public RemoveEntity(OWLOntology ontology,
                        OWLEntity entity,
                        OntologyChange cause)

Parameters:
  `ontology` - an `OWLOntology` value
  `entity` - an `OWLEntity` value
  `cause` - a `OntologyChange` value

Method Detail

### getEntity

    public OWLEntity getEntity()

  The entity that should be removed.

  Returns:
    an `OWLEntity` value

### accept

    public void accept(ChangeVisitor visitor)
                throws OWLException

  Description copied from class: `OntologyChange`
  Accept a visit from a change visitor.

  Specified by:
    `accept` in class `OntologyChange`
  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb